Berkeley DB version 4.3.29

## com.sleepycat.db
Class LockRequestMode

    java.lang.Object
      com.sleepycat.db.LockRequestMode

public final class LockRequestMode
extends Object

When using the default lock conflict matrix, the LockRequestMode class defines the set of possible lock modes.

Field Summary
`static LockRequestMode` `IREAD` Intention to read (shared).
`static LockRequestMode` `IWR` Intention to read and write (shared).
`static LockRequestMode` `IWRITE` Intention to write (shared).
`static LockRequestMode` `READ` Read (shared).
`static LockRequestMode` `WRITE` Write (exclusive).

Constructor Summary
`LockRequestMode(String operationName, int flag)` Construct a custom lock request mode.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ

    public static final LockRequestMode READ

  Read (shared).

### WRITE

    public static final LockRequestMode WRITE

  Write (exclusive).

### IWRITE

    public static final LockRequestMode IWRITE

  Intention to write (shared).

### IREAD

    public static final LockRequestMode IREAD

  Intention to read (shared).

### IWR

    public static final LockRequestMode IWR

  Intention to read and write (shared).

Constructor Detail

### LockRequestMode

    public LockRequestMode(String operationName,
                           int flag)

  Construct a custom lock request mode.

Parameters:
  `operationName` - Name used to display the mode

  `flag` - Flag value used as an index into the lock conflict matrix

Berkeley DB version 4.3.29

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.